Subject: Re: bug#55439: [PATCH] Add support for the Modi script

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 May 2022 15:51:03 +0300

> From: Pankaj Jangid <[email-masked]>
> Date: Wed, 18 May 2022 12:42:17 +0530
> 
> > Therefore it is better to write just one entry that demonstrates that Emacs
> > supports this character set, after all this is the main purpose of
> > etc/HELLO.
> 
> Technically, one entry is enough for showcasing the script. But looking
> at the table heading in etc/HELLO, it appears that this file is for
> showing language and not the script.

No, we do show scripts, not languages.  There are many more languages
than scripts, so if we'd base that file on languages, we'd need to
make it much larger, and that is not economical.

However, many scripts are used with only one language, and frequently
have the same name.  That is why it may seem that HELLO shows
languages.  But that's a mistake.